stages.push({
	id: "begin-pickup-cargo-tractor",
	setup: () => {
		getSet('starfield').setup();
		starMotion.velocity.x = 0.05;
		starMotion.velocity.y = 0.05;
        getSet('begin-pickup-cargo').setup();
	},
	update: (delta) => {
		getSet('starfield').update(delta);
        floatingItems.forEach(item => {
            item.velocity.x = (-1 * item.x) / 60; 
            item.velocity.y = (-1 * item.y) / 60;
            if(Math.abs(item.x) < 5) {
                item.velocity.x = 0;
                console.log('stopping x movement')
            }
            if(Math.abs(item.y) < 5) {
                item.velocity.y = 0;
                console.log('stopping y movement');
            }
         });
        getSet('begin-pickup-cargo').update(delta);
	},
	draw: (context, delta) => {
		getSet('starfield').draw(context, delta);
		getSet('begin-pickup-cargo').draw(context, delta);

		atlas.drawCentered(context, userData.sprite, { x: 0, y: 0 });
	},
	cleanup: () => {

	},
});